.build-stage:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  stage: build
  variables:
    DOCKERFILE: $CI_PROJECT_DIR/docker/prod.dockerfile

  script:
    - /kaniko/executor
        --context "$CI_PROJECT_DIR"
        --dockerfile "$DOCKERFILE"
        --destination "${CI_REGISTRY_IMAGE}:${REGISTRY_IMAGE_TAG}"

build-master:
  extends: [ .build-stage ]
  environment:
    name: production
  variables:
    REGISTRY_IMAGE_TAG: $CI_COMMIT_TAG
  rules:
    - if: $CI_COMMIT_TAG

build-staging:
  extends: [ .build-stage ]
  environment:
    name: staging
  variables:
    REGISTRY_IMAGE_TAG: latest
  rules:
    - if: '$CI_COMMIT_REF_NAME == "staging"'
